BlogAssist 2.2.6 released

I'm pleased to announce that BlogAssist has now joined Time Out and Caboodle on the Mac App Store.

BlogAssist 2.2.6 is now available for download here, and on the Mac App Store.

The Mac App Store edition requires Mac OS X 10.6 or later, but the direct edition still supports 10.4 and later, for now. The next non-bug-fix updates will increase the minimum OS requirement to 10.6, so this might be the last release that supports Tiger and Leopard.

The edition of BlogAssist in the Mac App Store is called "BlogAssist Express", to help distinguish it. It is basically the same as the non-App Store edition; it just doesn't have the in-app update mechanism.

For existing customers, please note that Apple doesn't currently offer any way to migrate users from the existing app to the App Store edition. So I recommend sticking with the direct edition. It will always have the same or more features than the App Store edition, and get updates faster, since it don't have to wait for Apple's review process.

Download BlogAssist 2.2.6 now!

Or check out BlogAssist Express 2.2.6 on the Mac App Store.